#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true);
	
	ofBackground(0,0,0);
	
	ofSetCircleResolution(100);

}

//--------------------------------------------------------------
void testApp::update(){
	
	
	

}

//--------------------------------------------------------------
void testApp::draw(){
	
	float xorig = ofGetWidth()/2;
	float yorig = ofGetHeight()/2;
	
	float sinOfTime = sin( ofGetElapsedTimef());
	float sinOfTimeMapped = ofMap( sinOfTime, -1, 1, 1, 3);
	
	float sinOfTime2 = sin( ofGetElapsedTimef() + PI);
	float sinOfTimeMapped2 = ofMap( sinOfTime2, -1, 1, 1, 3);
	
	float sinOfColor = sin( ofGetElapsedTimef());
	float sinOfColorMapped = ofMap( sinOfColor, -1, 1, 100, 255);
	
	float modulator = ofMap( sin(ofGetElapsedTimef()/PI), -1, 1, -1, 1);
	float modulator2 = ofMap( sin(ofGetElapsedTimef()/1.43), -1, 1, -1, 1);
	float modulator3 = ofMap( sin(ofGetElapsedTimef()/2.89), -1, 1, -1, 1);

//cones	2
	for (int i = 0; i < 5000; i++){
		
		float radius = 50 + i * modulator3;
		float angle = (ofGetElapsedTimef()*modulator2+i)/2;
		float x = xorig + radius * (cos(angle))/modulator3;
		float y = yorig + radius / (-sin(angle))*modulator2;
		
		ofSetRectMode(OF_RECTMODE_CENTER);
		ofSetColor(157,sinOfColorMapped-(i*2),sinOfColorMapped);
		ofCircle(x, y, 1);
		
	}	
	
	for (int i = 0; i < 5000; i++){
		
		float radius = 50 + i * modulator2;
		float angle = (ofGetElapsedTimef()*(modulator3*-1)+(i*-1));
		float x = xorig + radius / (cos(angle)/modulator2);
		float y = yorig + radius * (-sin(angle)*modulator3);
		
		ofSetRectMode(OF_RECTMODE_CENTER);
		ofSetColor(sinOfColorMapped-(i*2),sinOfColorMapped,157);
		ofCircle(x, y, 1);
		
	}	
		
for (int i = 0; i < 500; i++){
		
			float radius = 50 + i * 2;
			float angle = (ofGetElapsedTimef()*modulator3+i)/2;
			float x = xorig + radius * cos(angle);
			float y = yorig + radius * -sin(angle);
			
			ofSetRectMode(OF_RECTMODE_CENTER);
			ofSetColor(157,sinOfColorMapped-(i*2),sinOfColorMapped);
			ofCircle(x, y, 1);
	
}
	
	for (int i = 0; i < 500; i++){
				
				float radius = i;
				float angle = (ofGetElapsedTimef()*(modulator2*-1)+(i*-1));
				float x = xorig + radius * cos(angle);
				float y = yorig + radius * -sin(angle);
				
				ofSetRectMode(OF_RECTMODE_CENTER);
				ofSetColor(sinOfColorMapped-(i*2),sinOfColorMapped,75);
			ofCircle(x, y, 1);
				
			}	
		
	


}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
	
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

